<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.richfaces.samples.seamEAR.wars</groupId>
	<artifactId>seamWebapp</artifactId>
	<packaging>war</packaging>
	<name>seam web client</name>
	<parent>
		<groupId>org.richfaces.samples.seamEAR</groupId>
		<artifactId>wars</artifactId>
		<version>3.1.3.GA</version>
	</parent>
	<build>
	<finalName>seamWebapp</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<configuration>
					<webResources>
						<resource>
							<!-- this is relative to the pom.xml directory -->
							<directory>${seamHome}</directory>
							<!-- override the destination directory for this resource -->
							<targetPath>WEB-INF/lib</targetPath>
							<includes>
								<include>jboss-seam-ui.jar</include>
								<include>jboss-seam-debug.jar</include>
								<include>
									jboss-seam-remoting.jar
								</include>
							</includes>
						</resource>
					</webResources>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<dependencies>
		<dependency>
			<groupId>org.richfaces.framework</groupId>
			<artifactId>richfaces-impl</artifactId>
			<version>3.1.3.GA</version>
		</dependency>
		<dependency>
			<groupId>org.richfaces.ui</groupId>
			<artifactId>richfaces-ui</artifactId>
			<version>3.1.3.GA</version>
		</dependency>
		<dependency>
			<groupId>org.richfaces.framework</groupId>
			<artifactId>richfaces-api</artifactId>
			<version>3.1.3.GA</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.sun.facelets</groupId>
			<artifactId>jsf-facelets</artifactId>
			<version>1.1.12</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
			<version>2.5</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.servlet.jsp</groupId>
			<artifactId>jsp-api</artifactId>
			<version>2.1</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.faces</groupId>
			<artifactId>jsf-impl</artifactId>
			<version>1.2_04</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>javax.faces</groupId>
			<artifactId>jsf-api</artifactId>
			<version>1.2_04</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.richfaces.samples.seamEAR</groupId>
			<artifactId>primary-source</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-commons-annotations</artifactId>
			<version>3.3.0.ga</version>
			<scope>provided</scope>
		</dependency>
			<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-annotations</artifactId>
			<version>3.2.0.ga</version>
			<scope>provided</scope>
			</dependency>
		<!--
			<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate</artifactId>
			<version>3.2.4.ga</version>
			</dependency>
		-->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-validator</artifactId>
			<version>3.0.0.ga</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-core</artifactId>
			<version>2.0.0.BETA</version>
			<systemPath>${seamHome}/jboss-seam.jar</systemPath>
			<scope>system</scope>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-ui</artifactId>
			<version>2.0.0.BETA</version>
			<systemPath>${seamHome}/jboss-seam-ui.jar</systemPath>
			<scope>system</scope>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>jboss-el</artifactId>
			<version>2.0.0.BETA</version>
			<systemPath>${seamHome}/lib/jboss-el.jar</systemPath>
			<scope>system</scope>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-debug</artifactId>
			<version>2.0.0.BETA</version>
			<systemPath>${seamHome}/jboss-seam-debug.jar</systemPath>
			<scope>system</scope>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-ioc</artifactId>
			<version>2.0.0.BETA</version>
			<systemPath>${seamHome}/jboss-seam-ioc.jar</systemPath>
			<scope>system</scope>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>seam-remoting</artifactId>
			<version>2.0.0.BETA</version>
			<systemPath>${seamHome}/jboss-seam-remoting.jar</systemPath>
			<scope>system</scope>
		</dependency>
		<dependency>
			<groupId>jboss</groupId>
			<artifactId>javassist</artifactId>
			<version>3.4.ga</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>commons-collections</groupId>
			<artifactId>commons-collections</artifactId>
			<version>3.2</version>
		</dependency>
	</dependencies>
</project>
